# google-maps -  Plugin

This project was generated using the Your Amazing Plugin CLI.

## Running

Run the following command from the project root:

```bash
npm start
```

This should host the application on `http://localhost:8000` (es-dev-server will auto increment if the port is currently in use), use this for any style changes or quick layout/UI updates. Any changes that involve data access will require the application to be loaded using Your Amazing Plugin. See the `Testing within Your Amazing Plugin` section below for how to do so.

*Note: if the port is currently in use, es-dev-server will increment to another port. Ensure that the port numbers are the same in the `manifest.json` as what es-dev-server is hosting.*

## Dependencies

Our plugins API uses RxJS to ease the use of the `MessageChannel` API. This allows for the developer to `subscribe` to the properties or events they would like to listen to and then receive updates as the Your Amazing Plugin application is used. Checkout this great site on RxJS to familiarize yourself with it: https://www.learnrxjs.io/

## Testing within Your Amazing Plugin

To test out this plugin within Your Amazing Plugin, add a localStorage key of `act-development-plugin` with the contents of the `plugin-manifest.json` as the value. Make sure you have the project running, then refresh your Your Amazing Plugin instance.

Your Amazing Plugin will display logging information in the command line to show that the plugin was successfully loaded (along with any other plugins used by your instance).

If you wish to deploy your plugin, or test across multiple clients, upload the manifest to Your Amazing Plugin using the `Settings` -> `Plugins` -> `Add Plugin` button. Or if you already have the plugin uploaded, update it using the `Update Plugin` button on your plugin within the list.

## Before Deployment

Make sure you update the URLs for the actions and main files. These should point to your production hosted application.